USE [CitrixReceiverStoreFront]

/****** Object:  Table [dbo].[User]  ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[User](
 [id] [int] IDENTITY(1,1) NOT NULL,
	[username] [nvarchar](100) COLLATE latin1_general_CS_AS_KS NOT NULL,
CONSTRAINT [PK_users] PRIMARY KEY CLUSTERED 
(
	[id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
 IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) 
 ON [PRIMARY]
) ON [PRIMARY]

CREATE UNIQUE NONCLUSTERED INDEX [username_idx] ON [dbo].[User] 
(
	[username] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
 SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, 
 ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) 
 ON [PRIMARY]

/****** Object:  Table [dbo].[Subscription]  ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON 

CREATE TABLE [dbo].[Subscription](
 [id] [int] IDENTITY(1,1) NOT NULL,
 [subscription_ref] [varchar](32) COLLATE latin1_general_CS_AS_KS NOT NULL,
	[resource_id] [nvarchar](400) COLLATE latin1_general_CS_AS_KS NOT NULL,
 [user_id] [int] NOT NULL,
	[status] [int] NOT NULL,
	[metadata] [nvarchar](max) NULL,
	[secure_metadata] [nvarchar](max) NULL,
CONSTRAINT [PK_subscriptions] PRIMARY KEY CLUSTERED 
(
 [id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
 IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) 
 ON [PRIMARY]
) ON [PRIMARY]

CREATE UNIQUE NONCLUSTERED INDEX [subscription_ref_idx] ON 
 [dbo].[Subscription]
(
[subscription_ref] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
 SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, 
 ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) 
 ON [PRIMARY]

CREATE NONCLUSTERED INDEX [user_resource_idx] ON [dbo].[Subscription] 
(
[user_id] ASC,
[resource_id] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, 
 SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, 
 ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = OFF) 
 ON [PRIMARY]

/****** Object:  Default [DF_subscriptions_status] ******/
ALTER TABLE [dbo].[Subscription] 
 ADD  CONSTRAINT [DF_subscriptions_status]  
 DEFAULT ((0)) FOR [status]

/****** Object:  ForeignKey [FK_subscriptions_user_id] ******/
ALTER TABLE [dbo].[Subscription]  
 WITH CHECK ADD  CONSTRAINT [FK_subscriptions_user_id] 
 FOREIGN KEY([user_id])
REFERENCES [dbo].[User] ([id])

ALTER TABLE [dbo].[Subscription] 
 CHECK CONSTRAINT [FK_subscriptions_user_id]

CREATE TABLE [dbo].[SchemaDetails](
	[major_version] [int] NOT NULL,
 [minor_version] [int] NOT NULL,
	[details] [nvarchar](max) NULL
) ON [PRIMARY]

INSERT INTO [dbo].[SchemaDetails] ([major_version], [minor_version]) 
 VALUES (1, 0)